import dash_bootstrap_components as dbc
from dash import html

def legend_object(min_value, max_value, transition='frequency'):
    return [dbc.Row([
                       dbc.Col(html.P('Number of activity occurence' if transition=='frequency' else 'Step processing time'), 
                               style={'padding': 0, 'text-align': 'right'}, md=6),
     dbc.Col(dbc.Row([dbc.Col(html.P(str(min_value), style={'float': 'right',
                                'padding': 0}), style={'padding': 0}, md=3),
     dbc.Col(html.Div(id='gradient-legend', style={'height': '50%',
                                   'width': '100%',
                                   'margin': 'auto',
                                   'background': 'linear-gradient(to right, #F1F8FD, #7DBEEA)',
                                   'padding': 0}), md=6),
     dbc.Col(html.P(str(max_value), style={'padding': 0}), 
             style={'padding': 0}, md=3)]), style={'float': 'left'}, md=6)])]

def legend_object_individual(min_value, max_value, transition='frequency'):
    return [dbc.Row([
                       dbc.Col(html.P('Number of activity occurence' if transition=='frequency' else 'Step processing time'), 
                               style={'padding': 0, 'text-align': 'right'}, md=6),
     dbc.Col(dbc.Row([dbc.Col(html.P(str(min_value), style={'float': 'right',
                                'padding': 0}), style={'padding': 0}, md=3),
     dbc.Col(html.Div(id='gradient-legend-individual', style={'height': '50%',
                                   'width': '100%',
                                   'margin': 'auto',
                                   'background': 'linear-gradient(to right, #F1F8FD, #7DBEEA)',
                                   'padding': 0}), md=6),
     dbc.Col(html.P(str(max_value), style={'padding': 0}), 
             style={'padding': 0}, md=3)]), style={'float': 'left'}, md=6)])]
