The conformance checks tabs allow computing conformance checks between a selected reference process and a set of traces defined with the left-hand side selectors.

Initially, nothing will be displayed on the right-hand side until an initial conformance checks has been executed. To run conformance checks, at least one process must be saved in the [Process Discovery tab](article:13). Then, in the conformance checks tab, checks are run by clicking 'Run Conformance Checks' in the Action menu. This action will trigger the [Run Conformance Checks](scenario:RUNCONFORMANCECHECKS) scenario which computes the conformance checks on all the traces, which are saved in the to this [dataset](dataset:process_conformance_checks) in the Flow.

The user can also choose via the Action menu to apply the Filters from a saved process to the traces for which the conformance checks will be displayed.

![Process 2.png](In35iodzZa5a)

On the right-hand side, aggregated fitness results are plotted. This shows the average fitness of the traces defined by the left-hand side selectors relative to the selected process (as described in the description above the graph). The user can adjust the time granularity of the graph (monthly, weekly, daily). This graph creates a global picture of how the data conforms to the predefined process, and if there are specific periods during which conformance is higher or lower. It can be especially useful for tracking if a process has 'improved' (become more conformant) over time or as the result of an intervention by the business.

![Conformance Screen.png](PxtYWmjKqTkb)

In a production model, these conformance checks could be run daily or in real-time to monitor if incoming workflow data continues to conform to a set process. The [process_conformance_checks](dataset:process_conformance_checks) dataset enables you to perform diagnostics on why specific traces are considered non-conformant.



