The reporting zone is where the static graph visualization of the process with regard to conformance is built.

![Reporting Zone.png](l16XtS1LzF9X)

The reference process has been previously saved in the [saved_processes](managed_folder:1rhVX912). In the [python recipe](recipe:compute_reference_process), the reference process is mined to output all the possible transitions, the start and end activities, and the other activities. It leverages the mine_process function available in the project library.

In parallel, the whole log is also mined in the bottom [python recipe](recipe:compute_workflow_mined), to output all the transitions observed in the data. When joining this dataset with the reference process mined above, we will separate the transitions that can conform from the ones that do not. Those transitions that do not exist in the reference process are overridden with a dummy SINK state to illustrate in the final visualization the proportion of traces that don't follow the reference process.

In the above branch, the non-conformance ratios built in the previous zone are joined back to the reference process activities and the column is renamed to frequency for the following python recipe to work.

The final [python recipe](recipe:compute_zRxQZ0BL) takes three input dataset:

 1. The mined process, contains all the transitions that we want to display. It is structured with three columns: source, target, and weight and each row represent a transition. Source and target are the origin and destination of the edge while weight will be represented by the width of the arrow and a number.
 2. The start and end activities of the process. In our case, it contains the dummy START and END activities, along with the SINK activity to represent non-existing transitions.
 3. The activities and their frequency. The activity names must match with the ones listed as source and target above. The frequency is a numeric column that can represent whatever information that will be displayed using the coloring of the nodes.

This zone also contains the [saved_viz](managed_folder:LsTJHTYd) folder which stores visualizations that have been created through the webapp.